SipHash_Info< T_128bit > Class Template Reference

SipHash message authentication code information. More...

Inheritance diagram for SipHash_Info< T_128bit >:

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 16 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...

## Static Public Attributes

static const int | DIGESTSIZE = (T_128bit ? 16 : 8)
Static Public Attributes inherited from FixedKeyLength< 16 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

### template<bool T_128bit>
class SipHash_Info< T_128bit >

SipHash message authentication code information.

Template Parameters

  T_128bit | flag indicating 128-bit (true) versus 64-bit (false) digest size

Definition at line 38 of file siphash.h.

The documentation for this class was generated from the following file:

- siphash.h